For the complete documentation index, see llms.txt. This page is also available as Markdown.

Secure Card Capture

List Key Pair

get
/api/v2/key

This will return the active public keys that can be shared with a merchant to encrypt card data prior to send.

Authorizations
AuthorizationstringRequired
Responses
200

Key Result

application/json
get
/api/v2/key

Generate Key Pair

post
/api/v2/key

Generate a new public/private key pair

Authorizations
AuthorizationstringRequired
Responses
post
/api/v2/key

Deactivate Key Pair

patch
/api/v2/key/{keyAlias}/deactivate

This sets the status of the key pair to inactive.

Authorizations
AuthorizationstringRequired
Path parameters
keyAliasstringRequired
Responses
patch
/api/v2/key/{keyAlias}/deactivate

No content

Last updated

Was this helpful?